Package org.eclipse.jdt.ui.text.java

## Interface IJavaCompletionProposal

All Superinterfaces:
  `ICompletionProposal`

All Known Implementing Classes:
  `ASTRewriteCorrectionProposal`, `ChangeCorrectionProposal`, `CUCorrectionProposal`

    public interface IJavaCompletionProposal
    extends ICompletionProposal

A completion proposal with a relevance value. The relevance value is used to sort the completion proposals. Proposals with higher relevance should be listed before proposals with lower relevance.

This interface can be implemented by clients.

Since:
  2.1
See Also:
  `ICompletionProposal`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getRelevance()` Returns the relevance of this completion proposal.

### Methods inherited from interface org.eclipse.jface.text.contentassist.ICompletionProposal

`apply, getAdditionalProposalInfo, getContextInformation, getDisplayString, getImage, getSelection`

### Method Detail

#### getRelevance

    int getRelevance()

Returns the relevance of this completion proposal.

The relevance is used to determine if this proposal is more relevant than another proposal.

Returns:
  the relevance of this completion proposal